Trouble launching chat using Chrome 42 and up

Google Chrome NPAPI Plugin is Deprecated with Chrome 42

Date Published: May 12,2015 Category:Product:Browsers; Version:9.1 Article No.: 000040487
Product: Blackboard Learn
Type:Support Bulletin
Bulletin/Advisory Information:
Google has recently begun to phase out support for the NPAPI plugin protocol.  In April 2015, with Chrome 42, NPAPI support was disabled by default.  All NPAPI plugins will appear as if they are not installed, as they will not appear in the navigator.plugins list.  In September 2015, Chrome 45 will remove the override and NPAPI support will be permanently removed from Chrome. Installed extensions that require NPAPI plugins will no longer be able to load those plugins.For the complete details regarding this change, please review the following:

Google’s decision to disable NPAPI plugins by default in Chrome 42 will affect users accessing Blackboard Learn, as certain features and additions to Blackboard Learn are dependent on NPAPI protocol support either directly or through the Java plugin, which also relies on NPAPI protocol support.  Blackboard is  evaluating solutions to these issues.  Some of the content and areas that are affected are:

  • Collaborate
  • Authored contents that require Java; for example, some older SCORM packages or publisher content
  • Virtual Classroom
  • Lightweight Chat Tool
  • Multi-File Drag-and-Drop in the Content Collection or Course Files area

Blackboard has identified a workaround at this time to help alleviate the trouble this issue is causing:

  1. Manually enable NPAPI plugins in Chrome 42 and later:
    1. In your URL bar, enter:
    • chrome://flags/#enable-npapi
​​      2.  Click the Enable link for the Enable NPAPI configuration option
      3.  Click the Relaunch button that now appears at the bottom of the configuration page

, , ,

Comments are closed.